libstdc++: __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc > Class Template Reference

libstdc++

__gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc > Class Template Reference
Extensions » SGI

`#include <hash_set>`

## Public Types
typedef _Ht::allocator_type | allocator_type
typedef _Ht::const_iterator | const_iterator
typedef _Alloc::const_pointer | const_pointer
typedef _Alloc::const_reference | const_reference
typedef _Ht::difference_type | difference_type
typedef _Ht::hasher | hasher
typedef _Ht::const_iterator | iterator
typedef _Ht::key_equal | key_equal
typedef _Ht::key_type | key_type
typedef _Alloc::pointer | pointer
typedef _Alloc::reference | reference
typedef _Ht::size_type | size_type
typedef _Ht::value_type | value_type

## Public Member Functions
template<class _InputIterator>
| hash_multiset (_InputIterator __f, _InputIterator __l)
template<class _InputIterator>
| hash_multiset (_InputIterator __f, _InputIterator __l, size_type __n)
template<class _InputIterator>
| hash_multiset (_InputIterator __f, _InputIterator __l, size_type __n, const hasher &__hf)
template<class _InputIterator>
| hash_multiset (_InputIterator __f, _InputIterator __l, size_type __n, const hasher &__hf, const key_equal &__eql, const allocator_type &__a=allocator_type())
| hash_multiset (size_type __n)
| hash_multiset (size_type __n, const hasher &__hf)
| hash_multiset (size_type __n, const hasher &__hf, const key_equal &__eql, const allocator_type &__a=allocator_type())
iterator | begin () const
size_type | bucket_count () const
void | clear ()
size_type | count (const key_type &__key) const
size_type | elems_in_bucket (size_type __n) const
bool | empty () const
iterator | end () const
pair< iterator, iterator > | equal_range (const key_type &__key) const
size_type | erase (const key_type &__key)
void | erase (iterator __f, iterator __l)
void | erase (iterator __it)
iterator | find (const key_type &__key) const
allocator_type | get_allocator () const
hasher | hash_funct () const
template<class _InputIterator>
void | insert (_InputIterator __f, _InputIterator __l)
iterator | insert (const value_type &__obj)
iterator | insert_noresize (const value_type &__obj)
key_equal | key_eq () const
size_type | max_bucket_count () const
size_type | max_size () const
void | resize (size_type __hint)
size_type | size () const
void | swap (hash_multiset &hs)

## Friends
template<class _Val, class _HF, class _EqK, class _Al>
bool | operator== (const hash_multiset< _Val, _HF, _EqK, _Al > &, const hash_multiset< _Val, _HF, _EqK, _Al > &)

## Detailed Description

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>
class __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >

This is an SGI extension.

Todo
  Needs documentation! See http://gcc.gnu.org/onlinedocs/libstdc++/manual/documentation_style.html

Definition at line 287 of file hash_set.

## Member Typedef Documentation

## ◆ allocator_type

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Ht::allocator_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::allocator_type

Definition at line 315 of file hash_set.

## ◆ const_iterator

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Ht::const_iterator __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::const_iterator

Definition at line 313 of file hash_set.

## ◆ const_pointer

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Alloc::const_pointer __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::const_pointer

Definition at line 308 of file hash_set.

## ◆ const_reference

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Alloc::const_reference __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::const_reference

Definition at line 310 of file hash_set.

## ◆ difference_type

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Ht::difference_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::difference_type

Definition at line 306 of file hash_set.

## ◆ hasher

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Ht::hasher __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::hasher

Definition at line 302 of file hash_set.

## ◆ iterator

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Ht::const_iterator __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::iterator

Definition at line 312 of file hash_set.

## ◆ key_equal

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Ht::key_equal __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::key_equal

Definition at line 303 of file hash_set.

## ◆ key_type

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Ht::key_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::key_type

Definition at line 300 of file hash_set.

## ◆ pointer

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Alloc::pointer __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::pointer

Definition at line 307 of file hash_set.

## ◆ reference

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Alloc::reference __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::reference

Definition at line 309 of file hash_set.

## ◆ size_type

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Ht::size_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::size_type

Definition at line 305 of file hash_set.

## ◆ value_type

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

typedef _Ht::value_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::value_type

Definition at line 301 of file hash_set.

## Constructor & Destructor Documentation

## ◆ hash_multiset() [1/8]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

__gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::hash_multiset | ( |  | ) |
| inline

Definition at line 329 of file hash_set.

## ◆ hash_multiset() [2/8]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

__gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::hash_multiset | ( | size_type | __n | ) |
| inline explicit

Definition at line 333 of file hash_set.

## ◆ hash_multiset() [3/8]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

__gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::hash_multiset | ( | size_type | __n,
|  | const hasher & | __hf )
| inline

Definition at line 336 of file hash_set.

## ◆ hash_multiset() [4/8]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

__gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::hash_multiset | ( | size_type | __n,
|  | const hasher & | __hf,
|  | const key_equal & | __eql,
|  | const allocator_type & | __a = allocator_type() )
| inline

Definition at line 339 of file hash_set.

## ◆ hash_multiset() [5/8]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>
template<class _InputIterator>

__gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::hash_multiset | ( | _InputIterator | __f,
|  | _InputIterator | __l )
| inline

Definition at line 344 of file hash_set.

## ◆ hash_multiset() [6/8]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>
template<class _InputIterator>

__gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::hash_multiset | ( | _InputIterator | __f,
|  | _InputIterator | __l,
|  | size_type | __n )
| inline

Definition at line 349 of file hash_set.

## ◆ hash_multiset() [7/8]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>
template<class _InputIterator>

__gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::hash_multiset | ( | _InputIterator | __f,
|  | _InputIterator | __l,
|  | size_type | __n,
|  | const hasher & | __hf )
| inline

Definition at line 354 of file hash_set.

## ◆ hash_multiset() [8/8]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>
template<class _InputIterator>

__gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::hash_multiset | ( | _InputIterator | __f,
|  | _InputIterator | __l,
|  | size_type | __n,
|  | const hasher & | __hf,
|  | const key_equal & | __eql,
|  | const allocator_type & | __a = allocator_type() )
| inline

Definition at line 360 of file hash_set.

## Member Function Documentation

## ◆ begin()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

iterator __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::begin | ( |  | ) | const
| inline

Definition at line 388 of file hash_set.

## ◆ bucket_count()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

size_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::bucket_count | ( |  | ) | const
| inline

Definition at line 441 of file hash_set.

## ◆ clear()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

void __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::clear | ( |  | ) |
| inline

Definition at line 433 of file hash_set.

## ◆ count()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

size_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::count | ( | const key_type & | __key | ) | const
| inline

Definition at line 413 of file hash_set.

## ◆ elems_in_bucket()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

size_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::elems_in_bucket | ( | size_type | __n | ) | const
| inline

Definition at line 449 of file hash_set.

## ◆ empty()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

bool __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::empty | ( |  | ) | const
| inline nodiscard

Definition at line 375 of file hash_set.

## ◆ end()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

iterator __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::end | ( |  | ) | const
| inline

Definition at line 392 of file hash_set.

## ◆ equal_range()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

pair< iterator, iterator > __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::equal_range | ( | const key_type & | __key | ) | const
| inline

Definition at line 417 of file hash_set.

## ◆ erase() [1/3]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

size_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::erase | ( | const key_type & | __key | ) |
| inline

Definition at line 421 of file hash_set.

## ◆ erase() [2/3]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

void __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::erase | ( | iterator | __f,
|  | iterator | __l )
| inline

Definition at line 429 of file hash_set.

## ◆ erase() [3/3]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

void __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::erase | ( | iterator | __it | ) |
| inline

Definition at line 425 of file hash_set.

## ◆ find()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

iterator __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::find | ( | const key_type & | __key | ) | const
| inline

Definition at line 409 of file hash_set.

## ◆ get_allocator()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

allocator_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::get_allocator | ( |  | ) | const
| inline

Definition at line 326 of file hash_set.

## ◆ hash_funct()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

hasher __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::hash_funct | ( |  | ) | const
| inline

Definition at line 318 of file hash_set.

## ◆ insert() [1/2]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>
template<class _InputIterator>

void __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::insert | ( | _InputIterator | __f,
|  | _InputIterator | __l )
| inline

Definition at line 401 of file hash_set.

## ◆ insert() [2/2]

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

iterator __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::insert | ( | const value_type & | __obj | ) |
| inline

Definition at line 396 of file hash_set.

## ◆ insert_noresize()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

iterator __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::insert_noresize | ( | const value_type & | __obj | ) |
| inline

Definition at line 405 of file hash_set.

## ◆ key_eq()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

key_equal __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::key_eq | ( |  | ) | const
| inline

Definition at line 322 of file hash_set.

## ◆ max_bucket_count()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

size_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::max_bucket_count | ( |  | ) | const
| inline

Definition at line 445 of file hash_set.

## ◆ max_size()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

size_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::max_size | ( |  | ) | const
| inline

Definition at line 371 of file hash_set.

## ◆ resize()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

void __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::resize | ( | size_type | __hint | ) |
| inline

Definition at line 437 of file hash_set.

## ◆ size()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

size_type __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::size | ( |  | ) | const
| inline

Definition at line 367 of file hash_set.

## ◆ swap()

template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>

void __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >::swap | ( | hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc > & | hs | ) |
| inline

Definition at line 379 of file hash_set.

The documentation for this class was generated from the following file:

- hash_set